@import "../../../../public/assets/styles/variables";

.info-button {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 183px;
    height: 62px;
    padding: 0;
    background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
    box-shadow: 5px 5px 15px rgba(130, 130, 130, 0.15), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
    border-radius: 32px;
    border: 0;
    outline: 0;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 32px;
    text-align: center;
    letter-spacing: 0.01em;
    color: $text-color;
    cursor: pointer;
    @media (max-width: 1366px) {
        width: 190px;
        height: 51px;
        font-size: 14px;
    }
    &__first-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 173px;
        height: 52px;
        background: #FFFFFF;
        box-shadow: inset 0px 4px 4px #E3E3E3;
        border-radius: 72px;
        @media (max-width: 1366px) {
            width: 181px;
            height: 45px;
        }
    }
    &__second-inner {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 169px;
        height: 48px;
        background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
        box-shadow: 5px 5px 15px rgba(130, 130, 130, 0.15), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
        border-radius: 32px;
        @media (max-width: 1366px) {
            width: 174px;
            height: 41px;
        }
    }
    &__text {
        display: flex;
        align-items: center;
        justify-content: center;
    }
    &:hover {
        background: linear-gradient(180deg, #FDFDFD 7.15%, #E7E7E7 100%);
        box-shadow: 5px 5px 15px rgba(130, 130, 130, 0.15), inset 14px 14px 15px #FFFFFF, inset -9px -14px 15px #E1E1E1;
        border-radius: 32px;
        color: $accent-color;
    }
    &:hover &__first-inner, &:active &__first-inner   {
        background: transparent;
        box-shadow: none;
    }
    &:hover &__second-inner, &:active &__second-inner  {
        background: transparent;
        box-shadow: none;
    }
    &:active {
        color: #FFFFFF;
        background: #BCBCBC;
        box-shadow: inset -3px -3px 13px rgba(221, 221, 221, 0.7), inset 3px 4px 13px rgba(165, 163, 163, 0.9);
    }
}